###########################################################################
#
# win32.mak -- Windows Makefile for common-src\src\lib
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


GSDL_DIR = $(GSDLHOME)


# Libraries compiled
LIBRARIES = gsdllib.lib

# Library: gsdllib.lib
LIBGSDL_CPPFLAGS =

# Objects for gsdllib.lib
LIBGSDL_OBJECTS = \
	cfgread.obj \
	cnfgable.obj \
	cnfgator.obj \
	dbclass.obj \
	display.obj \
	fileutil.obj \
	gsdlsitecfg.obj \
	gsdltimes.obj \
	gsdltools.obj \
	gsdlunicode.obj \
	infodbclass.obj \
	OIDtools.obj \
	phrases.obj \
	sqldbclass.obj \
	text_t.obj \
	unitool.obj


# Option: SQLite support
!IF $(USE_SQLITE)
LIBGSDL_CPPFLAGS = -DUSE_SQLITE $(LIBGSDL_CPPFLAGS) -I"$(GSDL_DIR)\common-src\packages\sqlite\include"
LIBGSDL_OBJECTS = $(LIBGSDL_OBJECTS) sqlitedbclass.obj
!ENDIF


COMPILE = cl -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBGSDL_CPPFLAGS)
LINK = cl -nologo -Fe"$@" 

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


gsdllib.lib: $(LIBGSDL_OBJECTS) 
	if EXIST gsdllib.lib del gsdllib.lib
	lib -nologo /out:gsdllib.lib $(LIBGSDL_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

distclean:
	del *.obj $(LIBRARIES) win32.mak

clean:
	del *.obj $(LIBRARIES)
