###########################################################################
#
# win32.mak -- Windows Makefile for runtime-src\src\protocol
#
# By Michael Dewsnip
#
# Copyright (C) 2010  DL Consulting Ltd.
#
###########################################################################


GSDL_DIR = $(GSDLHOME)


# Libraries compiled
LIBRARIES = gsdlprotocol.lib

# Library: gsdlprotocol.lib
# Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
LIBPROTOCOL_CPPFLAGS = \
	-I"$(GSDL_DIR)\common-src\src\lib" \
	-I"$(GSDL_DIR)\runtime-src\src\colservr"

LIBPROTOCOL_OBJECTS = \
	nullproto.obj \
	recptproto.obj \
	recptprototools.obj


COMPILE = cl -nologo -c -EHsc -D__WIN32__ -DXML_STATIC -D_CRT_SECURE_NO_DEPRECATE $(LIBPROTOCOL_CPPFLAGS)
LINK = cl -nologo -Fe"$@" 

.SUFFIXES:
.SUFFIXES: .cpp .obj

.cpp.obj:
	$(COMPILE) $<


gsdlprotocol.lib: $(LIBPROTOCOL_OBJECTS) 
	if EXIST gsdlprotocol.lib del gsdlprotocol.lib
	lib -nologo /out:gsdlprotocol.lib $(LIBPROTOCOL_OBJECTS)

all: $(LIBRARIES)

install: $(LIBRARIES)

distclean:
	del *.obj $(LIBRARIES) win32.mak

clean:
	del *.obj $(LIBRARIES)
